> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aegi.run/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aegi.run/_mcp/server.

# Get information about a Pokémon.

GET https://api.aegi.run/v1/pokemon

Reference: https://docs.aegi.run/api-reference/aegis/pokemon/get-information-about-a-pokemon

## Authentication

- `Authorization` header (bearer token, required) — Create a key at [https://aegi.run](https://aegi.run), then send it as `Authorization: Bearer aegis.<key>`.

## Request

### Query parameters

- `name` (string, required) — Name or ID of the Pokémon

## Response

### 200

Pokémon successfully found

- `error` (boolean, required) — Indicates if an error occurred
- `data` (V1PokemonGetResponsesContentApplicationJsonSchemaData, required, nullable) — Payload data containing Pokémon details
- `requestId` (string, required) — Unique identifier for the request

## Errors

### 404 Not Found Error

Pokémon not found

- `error` (ErrorResponseError, required)
- `requestId` (string, optional)

## Types

### V1PokemonGetResponsesContentApplicationJsonSchemaData

Payload data containing Pokémon details

- `idNum` (double, required) — The unique ID of the Pokémon
- `name` (string, required) — The name of the Pokémon
- `height` (double, required) — The height of the Pokémon in decimetres
- `weight` (double, required) — The weight of the Pokémon in hectograms
- `images` (V1PokemonGetResponsesContentApplicationJsonSchemaDataImages, required) — Collection of Pokémon images
- `types` (list of string, required) — List of Pokémon types
- `stats` (V1PokemonGetResponsesContentApplicationJsonSchemaDataStats, required) — Base stats of the Pokémon
- `abilities` (list of V1PokemonGetResponsesContentApplicationJsonSchemaDataAbilitiesItems, required) — List of abilities with detailed info
- `id` (V1PokemonGetResponsesContentApplicationJsonSchemaDataId, optional)

### ErrorResponseError

- `code` (enum, required)
  - Allowed values: `bad_request`, `unauthorized`, `invalid_api_key`, `api_key_revoked`, `forbidden`, `player_limit`, `not_found`, `method_not_allowed`, `conflict`, `validation_error`, `rate_limited`, `internal_error`, `service_unavailable`
- `message` (string, required)
- `details` (any, optional, nullable)

### V1PokemonGetResponsesContentApplicationJsonSchemaDataImages

Collection of Pokémon images

- `officialArtwork` (string, required, nullable) — Official high-quality artwork image URL
- `animatedSprite` (string, required, nullable) — Animated Gen 5 sprite GIF URL
- `frontDefault` (string, required, nullable) — Default front pixel sprite URL

### V1PokemonGetResponsesContentApplicationJsonSchemaDataStats

Base stats of the Pokémon

- `hp` (double, required) — Base HP stat
- `attack` (double, required) — Base Attack stat
- `defense` (double, required) — Base Defense stat
- `specialAttack` (double, required) — Base Special Attack stat
- `specialDefense` (double, required) — Base Special Defense stat
- `speed` (double, required) — Base Speed stat

### V1PokemonGetResponsesContentApplicationJsonSchemaDataAbilitiesItems

- `name` (string, required) — Name of the ability
- `isHidden` (boolean, required) — Whether this is a hidden ability
- `slot` (double, required) — Ability slot number
- `effect` (string, required) — Detailed effect description of the ability

### V1PokemonGetResponsesContentApplicationJsonSchemaDataId

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "error": false,
  "data": {
    "idNum": 6,
    "name": "charizard",
    "height": 17,
    "weight": 905,
    "images": {
      "officialArtwork": "https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/other/official-artwork/6.png",
      "animatedSprite": "https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/versions/generation-v/black-white/animated/6.gif",
      "frontDefault": "https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/6.png"
    },
    "types": [
      "fire",
      "flying"
    ],
    "stats": {
      "hp": 78,
      "attack": 84,
      "defense": 78,
      "specialAttack": 109,
      "specialDefense": 85,
      "speed": 100
    },
    "abilities": [
      {
        "name": "blaze",
        "isHidden": false,
        "slot": 1,
        "effect": "When this Pokémon has 1/3 or less of its HP remaining, its Fire-type moves inflict 1.5× as much regular damage."
      },
      {
        "name": "solar-power",
        "isHidden": true,
        "slot": 3,
        "effect": "During harsh sunlight, this Pokémon's Special Attack is increased by 50%, but it loses 1/8 of its maximum HP at the end of each turn."
      }
    ],
    "id": {}
  },
  "requestId": "req_a3f9c2e1b74d8056"
}
```

**SDK Code**

```python
import requests

url = "https://api.aegi.run/v1/pokemon"

querystring = {"name":"bulbasaur"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.aegi.run/v1/pokemon?name=bulbasaur';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.aegi.run/v1/pokemon?name=bulbasaur"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.aegi.run/v1/pokemon?name=bulbasaur")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.aegi.run/v1/pokemon?name=bulbasaur")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.aegi.run/v1/pokemon?name=bulbasaur', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.aegi.run/v1/pokemon?name=bulbasaur");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.aegi.run/v1/pokemon?name=bulbasaur")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```